How to upgrade to latest Gitlab from version less then 10.8

photo 1531030874896 fdef6826f2f7

I’ve come across issue when i wanted upgrade Gitlab CE from 10.5 to latest 11.X stable version. I’m using Ubuntu on my hosting machine, on the official documentation of GL says that you should run command

sudo apt-get update && sudo apt-get install gitlab-ce

which should be just enough, yet the installer returns that you should upgrade to 10.8 in first place. I’m writing this post because I couldn’t find this tutorial anywhere.

Like most of similar tasks in Linux this is quite simple. You need to upgrate package manager with sudo apt-get update and then find last 10.8 available to your system with command

apt list -a gitlab-ce

then you need to find latest 10.8 version for your system and install this with

sudo apt-get install gitlab-ce=10.8.7-ce.0

where 10.8.7-ce.0 is the latest 10.8 version for Ubuntu at the moment of creation of this post.

Once this is ready you can run

sudo apt-get install gitlab-ce

to get the latest GitlabCE.


How to upgrade to latest Gitlab from version less then 10.8 was originally published in Qunabu Interactive on Medium, where people are continuing the conversation by highlighting and responding to this story.